<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ValueEval (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ValueEval (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ValueEval.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/UnaryPlusEval.html"
               title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/ValueEval.html"
               target="_top">Frames</a></li>
        <li><a href="ValueEval.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.eval</div>
    <h2 title="Interface ValueEval" class="title">Interface ValueEval</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                           title="interface in org.apache.poi.ss.formula.eval">AreaEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/NumericValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">NumericValueEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">RefEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/StringValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">StringValueEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                            title="interface in org.apache.poi.ss.formula">ThreeDEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                            title="interface in org.apache.poi.ss.formula">TwoDEval</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                           title="class in org.apache.poi.ss.formula.eval">AreaEvalBase</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                            title="class in org.apache.poi.ss.formula.eval">BlankEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/BoolEval.html"
                            title="class in org.apache.poi.ss.formula.eval">BoolEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/CacheAreaEval.html"
                            title="class in org.apache.poi.ss.formula">CacheAreaEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ErrorEval.html"
                            title="class in org.apache.poi.ss.formula.eval">ErrorEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ExternalNameEval.html"
                            title="class in org.apache.poi.ss.formula.eval">ExternalNameEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/FunctionNameEval.html"
                            title="class in org.apache.poi.ss.formula.eval">FunctionNameEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/LazyRefEval.html"
                            title="class in org.apache.poi.ss.formula">LazyRefEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/MissingArgEval.html"
                            title="class in org.apache.poi.ss.formula.eval">MissingArgEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/NumberEval.html"
                            title="class in org.apache.poi.ss.formula.eval">NumberEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html"
                            title="class in org.apache.poi.ss.formula.eval">RefEvalBase</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/RefListEval.html"
                            title="class in org.apache.poi.ss.formula.eval">RefListEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/StringEval.html"
                            title="class in org.apache.poi.ss.formula.eval">StringEval</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">ValueEval</span></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Amol S. Deshmukh &lt; amolweb at ya hoo dot com &gt;</dd>
                </dl>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ValueEval.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/UnaryPlusEval.html"
               title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/ValueEval.html"
               target="_top">Frames</a></li>
        <li><a href="ValueEval.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
